Summary: SKK like Japanese-input application
Name: skkinput
Version: 2.06.4
Release: 7
License: GPL
Group: User Interface/X
Source0: %{name}-%{version}.tar.gz
Source1: bash.dot.inputrc
Source2: xinput.d-%{name}
Patch0: skkinput-fontset.patch
URL: http://sourceforge.jp/projects/skkinput2/
Requires: dbskkd-cdb
Requires(post,preun): %{_sbindir}/alternatives
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Skkinput is a kana to kanji converter with kinput protocol/kinput2
protocol/Ximp protocol/X Input Method(X11R6 standard) under X Window System.

%prep
%setup -q
#%patch -p1 -b .fontset
cp ${RPM_SOURCE_DIR}/bash.dot.inputrc .

rm -fr ${RPM_BUILD_ROOT}

%build
/usr/X11R6/bin/xmkmf -a
make CDEBUGFLAGS="${RPM_OPT_FLAGS}"

%install
rm -fr ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} BINDIR=%{_bindir} MANPATH=%{_mandir} MANSUFFIX=1 install install.man

# convert manpages to utf-8
iconv -f euc-jp -t utf-8 ${RPM_BUILD_ROOT}%{_mandir}/man1/skkinput.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/skkinput.1.utf8
mv -f ${RPM_BUILD_ROOT}%{_mandir}/man1/skkinput.1{.utf8,}
iconv -f euc-jp -t utf-8 ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/skkinput.1 > ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/skkinput.1.utf8
mv -f ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/skkinput.1{.utf8,}

install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xinit/xinput.d/%{name}

%clean
rm -fr ${RPM_BUILD_ROOT}

%post
alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/ja_JP xinput-ja_JP %{_sysconfdir}/X11/xinit/xinput.d/%{name} 30

%preun
if [ "$1" = 0 ]; then
   alternatives --remove xinput-ja_JP %{_sysconfdir}/X11/xinit/xinput.d/%{name}
fi

%files
%defattr(-, root, root)
%doc BUGS.jis CHANGES.jis FAQ.jis GPL PROGRAM.jis README.jis TODO.jis
%doc dot.skkinput
%doc bash.dot.inputrc
%{_bindir}/*
%{_prefix}/X11R6/lib/X11/app-defaults
%{_mandir}/man1
%{_mandir}/ja/man1
%{_sysconfdir}/X11/xinit/xinput.d

%changelog
* Fri Aug  6 2004 Jens Petersen <petersen@redhat.com> - 2.06.4-7
- convert manpages to utf-8

* Thu Jul  1 2004 Jens Petersen <petersen@redhat.com> - 2.06.4-6
- fix requires(post,preun): %{_sbindir}/alternatives is in chkconfig

* Wed Jun 30 2004 Jens Petersen <petersen@redhat.com> - 2.06.4-5
- add xinput.d script
- install/uninstall xinput.d script as xinput-ja_JP alternative
- require alternatives for %%post and %%preun

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 16 2004 Jens Petersen <petersen@redhat.com> - 2.06.4-3
- own man and app-defaults dirs (Enrico Scholz)
- install binary and manpages under %{_prefix} rather than /usr/X11R6 (mharris)
- don't need to gzip ja manpage

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Nov  5 2003 Jens Petersen <petersen@redhat.com> - 2.06.4-1
- 2.06.4 release

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 2.06.3-3
- rebuild

* Tue Dec 17 2002 Jens Petersen <petersen@redhat.com> 2.06.3-2
- manually gzip ja man page

* Thu Dec 12 2002 Jens Petersen <petersen@redhat.com> 2.06.3-1
- 2.06.3

* Tue Dec  3 2002 Jens Petersen <petersen@redhat.com> 2.06.2-1
- update to 2.06.2
- skkinput.doc no longer included

* Fri Aug 30 2002 Jens Petersen <petersen@redhat.com> 2.04-2
- require our backend dbskkd-cdb

* Wed Jul 24 2002 Jens Petersen <petersen@redhat.com> 2.04-1
- 2.04
- use included manuals and include Skkinput app-defaults

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Jens Petersen <petersen@redhat.com> 2.03-9
- rebuild in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 2.03-8
- automated rebuild

* Tue Jul 10 2001 Trond Eivind Glomsroed <teg@redhat.com>
- Don't define name and rel on top
- s/Copyright/License/

* Tue Jul 10 2001 SATO Satoru <ssato@redhat.com>
- fix spelling error in description, again
- bzip2-ed sources

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix spelling error in description
- add gzipped manual
- clean up SPEC

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix wrong category (close #24703)

* Mon Dec 26 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Mon Aug  4 2000 SATO Satoru <ssato@redhat.com>
- Initial release
